%define module_name Module-Extract-DeclaredVersion
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Size.pm) perl(LWP/Simple.pm) perl(PPI.pm) perl(Test/More.pm) perl(Test/Output.pm) perl(URI.pm) perl(YAML/Syck.pm) perl(autodie.pm) perl(feature.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.022
Release: alt1
Summary: Extract the version of Perl a module declares
Group: Development/Perl
License: artistic_2
URL: https://github.com/briandfoy/module-extract-declaredversion

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BD/BDFOY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Extract the largest declared Perl version and returns it as a
version object. For instance, in a script you might have:

  use v5.16;

This module will extract that `v5.16' and return it.

This module tries to handle any format that PPI will recognize, passing
them through version.pm to normalize them.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.pod Changes examples
%perl_vendor_privlib/M*

%changelog
* Fri Jan 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.022-alt1
- regenerated from template by package builder

* Thu Jun 21 2018 Igor Vlasenko <viy@altlinux.ru> 1.021-alt1
- initial import by package builder

